package com.liangjian.dataplatform.member.entity.po.secondary;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;

import java.util.Date;

/**
 * @author 黄树文
 * @date 2020/4/3 14:37
 */
@ApiModel("标签")
public class Tags{
    @ApiParam(value = "标签key")
    private Integer tagKey;
    @ApiParam(value = "标签id")
    private Integer tagId;
    @ApiParam(value = "标签名称")
    private String tagName;
    @ApiParam(value = "标签类型id")
    private Integer tagTypeId;
    @ApiParam(value = "标签类型名称")
    private String tagTypeName;
    @ApiParam(value = "标签创建时间")
    private Date tagCrtTime;

    public Integer getTagKey() {
        return tagKey;
    }

    public void setTagKey(Integer tagKey) {
        this.tagKey = tagKey;
    }

    public Integer getTagId() {
        return tagId;
    }

    public void setTagId(Integer tagId) {
        this.tagId = tagId;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public Integer getTagTypeId() {
        return tagTypeId;
    }

    public void setTagTypeId(Integer tagTypeId) {
        this.tagTypeId = tagTypeId;
    }

    public String getTagTypeName() {
        return tagTypeName;
    }

    public void setTagTypeName(String tagTypeName) {
        this.tagTypeName = tagTypeName;
    }

    public Date getTagCrtTime() {
        return tagCrtTime;
    }

    public void setTagCrtTime(Date tagCrtTime) {
        this.tagCrtTime = tagCrtTime;
    }

    @Override
    public String toString() {
        return "Tags{" +
                "tagKey=" + tagKey +
                ", tagId=" + tagId +
                ", tagName='" + tagName + '\'' +
                ", tagTypeId=" + tagTypeId +
                ", tagTypeName='" + tagTypeName + '\'' +
                ", tagCrtTime=" + tagCrtTime +
                '}';
    }
}
